---
title: Hacking Mozilla DOM
slug: Mozilla/Developer_guide/Hacking_Mozilla_DOM
tags:
  - Developing Mozilla
---
<p>This page is meant to be an entry point for developers interested in contributing to Mozilla's DOM code.</p>
<p>The documentation for DOM users (web developers, XUL application and extension developers) is at the <a href="/en/DOM" title="en/DOM">DOM</a> page.</p>
<h3 id="The_team_and_the_source_code">The team and the source code</h3>
<p>See the <a href="https://wiki.mozilla.org/Modules/All#Document_Object_Model">Module owners page</a>.</p>
<h3 id="Documentation">Documentation</h3>
<ul>
  <li><a href="/en/Mozilla_DOM_Hacking_Guide" title="en/Mozilla_DOM_Hacking_Guide">Mozilla DOM Hacking Guide</a></li>
  <li><a href="/en/Introduction_to_XPCOM_for_the_DOM" title="en/Introduction_to_XPCOM_for_the_DOM">Introduction to XPCOM for the DOM</a></li>
  <li><a href="/en/JavaScript-DOM_Prototypes_in_Mozilla" title="en/JavaScript-DOM_Prototypes_in_Mozilla">JavaScript-DOM Prototypes in Mozilla</a></li>
  <li><a class="external" href="http://www.mozilla.org/docs/dom/mozilla/classes/">Mapping DOM Objects to their C++ classes</a></li>
  <li><a class="external" href="http://www.mozilla.org/newlayout/dom-roadmap.html" rel="freelink">http://www.mozilla.org/newlayout/dom-roadmap.html</a> (how up to date?)</li>
  <li>{{ interwiki('wikimo', 'DOM:Home_Page', 'wikimo:DOM:Home Page') }} (random DOM-related notes)</li>
</ul>
<h3 id="Bugzilla"><a href="/en/Bugzilla" title="en/Bugzilla">Bugzilla</a></h3>
<p>DOM bugs are in various DOM components in the <a class="link-https" href="https://bugzilla.mozilla.org/describecomponents.cgi?product=Core">Core product</a></p>
<h3 id="General_documentation_on_contributing">General documentation on contributing</h3>
<ul>
  <li><a href="/En/Developer_Guide" title="En/Developer_Guide">Developing Mozilla</a>
    <ul>
      <li><a href="/En/Developer_Guide/Source_Code/CVS" title="En/Developer_Guide/Source_Code/CVS">Mozilla Source Code (CVS)</a></li>
      <li><a href="/En/Developer_Guide/Build_Instructions" title="En/Developer_Guide/Build_Instructions">Build Documentation</a></li>
      <li><a href="/en/Creating_a_patch" title="en/Creating_a_patch">Creating a patch</a></li>
      <li><a href="/En/Developer_Guide/How_to_Submit_a_Patch" title="En/Developer_Guide/How_to_Submit_a_Patch">Getting your patch in the tree</a></li>
    </ul>
  </li>
</ul>
